Добре дошъл/дошла, Гост. Моля, въведи своето потребителско име или се регистрирай.
Изгубил си активационния е-мейл?

Влез с потребителско име, парола и продължителност на сесията

Новини:

Автор Тема: Warning: Cannot use a scalar value as an array  (Прочетена 340 пъти)

Неактивен blood_of_king

  • Задържал се
  • *
  • Публикации: 129
  • Репутация: 0
Warning: Cannot use a scalar value as an array
« -: 02 Декември, 2018, 10:15:27 »
0
Здравейте,
Моля за малко съдействие, ако е възможно. 
Имам следната грешка в newbielink:http://parapir.eu [nonactive]
Warning: Cannot use a scalar value as an array in /home/parapir/public_html/libraries/src/HTML/HTMLHelper.php on line 626
Warning: Cannot use a scalar value as an array in /home/parapir/public_html/libraries/src/HTML/HTMLHelper.php on line 627
Warning: Cannot use a scalar value as an array in /home/parapir/public_html/libraries/src/HTML/HTMLHelper.php on line 628
Warning: Cannot use a scalar value as an array in /home/parapir/public_html/libraries/src/HTML/HTMLHelper.php on line 629


Код: newbielink:javascript:void(0); [nonactive]
{
$options['relative']      = isset($options['relative']) ? $options['relative'] : false;
$options['pathOnly']      = isset($options['pathOnly']) ? $options['pathOnly'] : false;
$options['detectBrowser'] = isset($options['detectBrowser']) ? $options['detectBrowser'] : true;
$options['detectDebug']   = isset($options['detectDebug']) ? $options['detectDebug'] : true;
}

Как мога да го оправя това?
« Последна редакция: 02 Декември, 2018, 10:56:28 от blood_of_king »

Joomla! България

Warning: Cannot use a scalar value as an array
« -: 02 Декември, 2018, 10:15:27 »

Неактивен Бого

  • Администратор
  • Гуру
  • *
  • Публикации: 2223
  • Mercedes-Benz forever
  • Репутация: +28
Re: Warning: Cannot use a scalar value as an array
« Отговор #1 -: 02 Декември, 2018, 18:05:17 »
0
Здравей,

да не би да използваш VirtueMart , ако е така най-вероятно  интеграцията на шаблона няма съвместимост с тази версия на мартата.Смени шаблона със стандартния и пиши.

http://dev.virtuemart.net/projects/virtuemart/files тук доста добре са дадени версии на VM с коя вер. на Джумла са съвместими

Виж, с коя вер. Джумла си и версията на VM дали са съвместими, ако не са обнови, смени шаблона и пиши какво е станало.

Поздрави!
« Последна редакция: 02 Декември, 2018, 18:08:26 от Бого »
Joomla, произлиза от думата Jumla (на суахили), която означава `всички заедно`, като потвърждение на open source инициативата!

Неактивен blood_of_king

  • Задържал се
  • *
  • Публикации: 129
  • Репутация: 0
Re: Warning: Cannot use a scalar value as an array
« Отговор #2 -: 04 Декември, 2018, 10:48:28 »
0
Здравейте, не използвам VM.
Преди като влизах в админ панела ми изписваше „Warning
Your PHP version, 5.6.32, is only receiving security fixes from the PHP project at this time. This means your PHP version will soon no longer be supported. We recommend planning to upgrade to a newer PHP version before it reaches end of support on 2018-12-31. Joomla will be faster and more secure if you upgrade to a newer PHP version. Please contact your host for upgrade instructions.”

Писах на ICN да променят версията и мисля че от тогава се появиха тези грешки

Неактивен Бого

  • Администратор
  • Гуру
  • *
  • Публикации: 2223
  • Mercedes-Benz forever
  • Репутация: +28
Re: Warning: Cannot use a scalar value as an array
« Отговор #3 -: 04 Декември, 2018, 13:17:15 »
0
Здравей,

направо е пускай на 7.2 от Ц панела не можеш ли да е промениш?

Поздрави!
Joomla, произлиза от думата Jumla (на суахили), която означава `всички заедно`, като потвърждение на open source инициативата!

Неактивен blood_of_king

  • Задържал се
  • *
  • Публикации: 129
  • Репутация: 0
Re: Warning: Cannot use a scalar value as an array
« Отговор #4 -: 04 Декември, 2018, 17:50:04 »
0
Версията е променена с отговор от тях
„Относно грешката, при опит за залагане на последната версия 7.2 се появява следната грешка на началната страница:

Deprecated: The each() function is deprecated. This message will be suppressed on further calls in /home/parapir/public_html/plugins/system/falangdriver/falang_database.php on line 146

Това съобщение означава, че функцията each(), която се използва в кода на Joomla ще бъде премахната в следваща версия на PHP и ще е необходимо да обновите до последна версия приложениет, за да го ползвате с по-новата версия.

Това би било проблем единствено в бъдещи версии на PHP и изключих показването на подобни грешки за акаунта ви. След това обаче се визуализира още една грешка, която е възможно да повлияе на работата на вашите сайтове:

Warning: count(): Parameter must be an array or an object that implements Countable in /home/parapir/public_html/plugins/system/gantry/gantry.php on line 406

Проверих случая и грешката не е налична с версия 7.1 на PHP. Моля, имайте обаче предвид, че версия 7.1 ще има поддръжка за сигурността до Декември 2019. След това тя също няма да е актуална и ще се наложи да обновите версията на сайтовете или да игнорирате съобщенията, като не ви препоръчвам вторият вариант. Версия 7.2 има ъпдейти по сигурността до 2020 година.”

Неактивен blood_of_king

  • Задържал се
  • *
  • Публикации: 129
  • Репутация: 0
Re: Warning: Cannot use a scalar value as an array
« Отговор #5 -: 04 Декември, 2018, 18:13:58 »
0
Направих един ъпдейт и май грешките изчезнаха

Joomla! България

Re: Warning: Cannot use a scalar value as an array
« Отговор #5 -: 04 Декември, 2018, 18:13:58 »